package com.springpoc.devicemanagement.repo;

import com.springpoc.userservice.model.User;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface UserRepository extends ReactiveMongoRepository<User, ObjectId> {
    User findByUserType(String userType);
}
