package com.springpoc.devicemanagement.service;

import com.springpoc.devicemanagement.dto.DeviceDTO;
import com.springpoc.devicemanagement.dto.MerchantDeviceAssReq;
import reactor.core.publisher.Mono;

public interface DeviceService {

    Mono<DeviceDTO> saveDeviceDetails(Mono<DeviceDTO> deviceDTO);

    Mono<String> deleteDeviceDetails();


    Mono<String> createAssociation(MerchantDeviceAssReq merchantDeviceAssReq);
}
