package com.springpoc.devicemanagement.model;

import com.springpoc.userservice.model.User;
import jakarta.persistence.Id;
import lombok.*;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.ArrayList;
import java.util.List;

@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Data
@ToString
@Document(collection = "merchant-device-ass")
public class MerchantDeviceAss {
    @Id
    private ObjectId device_id;
    private ObjectId merchant_id;

    private String status;

}
