package com.springpo.loginservice.dto;

import jakarta.validation.constraints.NotBlank;
import lombok.Getter;
import lombok.Setter;
import org.bson.types.ObjectId;

@Getter
@Setter
public class LoginOutUserRequest {

    private ObjectId id;
    @NotBlank(message = "User email is required.")
    private String email;
    @NotBlank(message = "User password is required.")
    private String password;
}
